Package com.orchestranetworks.ui

# Enum Class FirstCallDisplay

java.lang.Object
java.lang.Enum<FirstCallDisplay>
com.orchestranetworks.ui.FirstCallDisplay

All Implemented Interfaces:
  `Serializable`, `Comparable<FirstCallDisplay>`, `Constable`

public enum FirstCallDisplay extends Enum<FirstCallDisplay>
Defines how to display a filtered table or record in a Web Component on first call.

Since:
  5.6.1
See Also:
  - `UIHttpManagerComponent.setFirstCallDisplay(FirstCallDisplay)`
  - `UIHttpManagerComponent.setFirstCallDisplayRecord(String)`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `auto`
  The display is automatically set according to the selection.
  `record`
  If the predicate has at least one record, forces the display of the record form.
  `view`
  Forces the display of the tabular view or of the hierarchical view.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isAuto()`
  `boolean`
  `isRecord()`
  `boolean`
  `isView()`
  `static FirstCallDisplay`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static FirstCallDisplay[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### auto

    public static final FirstCallDisplay auto
    The display is automatically set according to the selection.

    The following rules apply:

    - a Web Component on a table with no predicate leads to the table display;
    - a Web Component on a table with a single primary key predicate leads to the record form;
    - a Web Component on a table with other types of predicates leads to the table display.

  - ### view

    public static final FirstCallDisplay view
    Forces the display of the tabular view or of the hierarchical view.

  - ### record

    public static final FirstCallDisplay record
    If the predicate has at least one record, forces the display of the record form.
    See Also:
      - `UIHttpManagerComponent.setFirstCallDisplayRecord(String)`

- ## Method Details

  - ### values

    public static FirstCallDisplay[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FirstCallDisplay valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### isAuto

    public boolean isAuto()

  - ### isView

    public boolean isView()

  - ### isRecord

    public boolean isRecord()